ALTER TABLE `customers`
ADD customers_group_id smallint UNSIGNED NOT NULL default '0',
ADD customers_group_ra enum('0','1') NOT NULL,
ADD customers_payment_allowed varchar(255) NOT NULL default '',
ADD customers_shipment_allowed varchar(255) NOT NULL default '',
ADD customers_order_total_allowed varchar(255) NOT NULL default '',
ADD customers_specific_taxes_exempt varchar(255) NOT NULL default '',
ADD entry_company_tax_id VARCHAR(32) DEFAULT NULL;

DROP TABLE IF EXISTS `products_groups`;
CREATE TABLE products_groups (
  customers_group_id smallint UNSIGNED NOT NULL default '0',
  customers_group_price decimal(15,4) NOT NULL default '0.0000',
  products_id int(11) NOT NULL default '0',
  PRIMARY KEY  (customers_group_id, products_id)
)CHARACTER SET utf8 COLLATE utf8_unicode_ci;

ALTER TABLE `specials`
ADD customers_group_id smallint UNSIGNED NOT NULL default '0';

DROP TABLE IF EXISTS `customers_groups`;
CREATE TABLE customers_groups (
 customers_group_id smallint UNSIGNED NOT NULL,
 customers_group_name varchar(32) NOT NULL default '',
 customers_group_show_tax enum('1','0') NOT NULL,
 customers_group_tax_exempt enum('0','1') NOT NULL,
 group_payment_allowed varchar(255) NOT NULL default '',
 group_shipment_allowed varchar(255) NOT NULL default '',
 group_order_total_allowed varchar(255) NOT NULL default '',
 group_specific_taxes_exempt varchar(255) NOT NULL default '',
 PRIMARY KEY (customers_group_id)
 )CHARACTER SET utf8 COLLATE utf8_unicode_ci;

INSERT INTO `customers_groups` VALUES('0','Retail','1','0','','','','');

ALTER TABLE `newsletters`
ADD send_to_customer_groups VARCHAR(32) DEFAULT NULL;

ALTER TABLE `products_attributes`
ADD `attributes_hide_from_groups` varchar(255) NOT NULL default '@';

DROP TABLE IF EXISTS `products_attributes_groups`;
CREATE TABLE `products_attributes_groups` (
  `products_attributes_id` int(11) NOT NULL default '0',
  `customers_group_id` smallint(5) NOT NULL default '0',
  `options_values_price` decimal(15,4) NOT NULL default '0.0000',
  `price_prefix` char(1) NOT NULL default '',
  `products_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`customers_group_id`,`products_attributes_id`)
)CHARACTER SET utf8 COLLATE utf8_unicode_ci;

DROP TABLE IF EXISTS `specials_retail_prices`;
CREATE TABLE `specials_retail_prices` (
products_id int NOT NULL default '0', 
specials_new_products_price decimal(15,4) NOT NULL default '0.0000', 
status tinyint, 
customers_group_id smallint, 
PRIMARY KEY (products_id)
)CHARACTER SET utf8 COLLATE utf8_unicode_ci;

INSERT INTO `specials_retail_prices` SELECT s.products_id,
s.specials_new_products_price, s.status, s.customers_group_id
FROM `specials` s WHERE s.customers_group_id = '0';